<template>
    <form class="w-100">
        <div class="row">
            <div class="col-12 mb-2">
                <div class="form-group row mb-3" v-if="!maintenanceEditMode">
                    <label class="col-4 col-form-label fw-bold text-black">Karbantartás</label>
                    <div class="col-8">
                        <Dropdown v-model="maintenance.maintenanceTypeRef"
                                  :options="maintenanceTypes" optionLabel="value" option-value="key"
                                  placeholder="Karbantartás" class="w-100"
                        />
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-4 col-form-label fw-bold text-black">Karbantartás dátuma</label>
                    <div class="col-8">
                        <Calendar v-model="maintenance.maintenanceDate" dateFormat="yy-mm-dd" />
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-4 col-form-label fw-bold text-black">Megjegyzés</label>
                    <div class="col-8">
                        <Textarea v-model="maintenance.note" rows="2" class="w-100" placeholder="megjegyzés"/>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
import Dropdown from 'primevue/dropdown';
import Calendar from "primevue/calendar";
import Textarea from 'primevue/textarea';

export default {
    name: "maintenanceForm",
    components: {
        Dropdown,
        Textarea,
        Calendar
    },
    props: {
        maintenance: {
            id: {
                type: Number
            },
            extinguisherId: {
                type: Number
            },
            maintenanceTypeRef: {
                type: Number
            },
            maintenancePeriod: {
                type: String
            },
            maintenanceDate: {
                type: String
            },
            note: {
                type: String
            }
        },
        maintenanceEditMode: {
            type: Boolean
        }
    },
    data() {
        return {
            maintenanceTypes: [
                {
                    key: 1,
                    value: 'Alapkarbantartás',
                },
                {
                    key: 2,
                    value: 'Üzemeltetői ellenőrzés',
                }
            ]
        }
    },
    created() {
        if (this.maintenance) {
            if (this.maintenance.maintenanceTypeRef === 1) {
                this.maintenanceTypes = this.maintenanceTypes.filter(function( obj ) {
                    return obj.key === 1;
                });
            } else {
                this.maintenanceTypes = this.maintenanceTypes.filter(function( obj ) {
                    return obj.key === 2;
                });
            }
        }
    }
}
</script>

<style scoped>

</style>
